package com.bonus.core.order.client.po;

public class OrderConfigQueryParam extends MetaDataQueryBaseParam {
   public static OrderConfigQueryParam ofMerchant() {
      return new OrderConfigQueryParam();
   }

   public static OrderConfigQueryParam of(Long canteenId) {
      OrderConfigQueryParam param = new OrderConfigQueryParam();
      param.setCanteenId(canteenId);
      return param;
   }

   public static OrderConfigQueryParam of(Long canteenId, Long stallId) {
      OrderConfigQueryParam param = new OrderConfigQueryParam();
      param.setCanteenId(canteenId);
      param.setStallId(stallId);
      return param;
   }

   public String toString() {
      return "OrderConfigQueryParam()";
   }

}
